Zid Docs
Apps
ThemesPayments
Apps
ThemesPayments
Help Center
Slack
  1. Discount Rules
  • 🗂️ Overview
  • 🚀 Start Here
  • Create your First App
  • Responses
  • Rate Limiting
  • Authorization
  • Embedded Apps
  • StoreFront Events
  • Zid MUI
  • Zid SDKs
  • Our custom MCP server
  • Merchant APIs
    • Account
      • Me
        • Me
        • Profile
      • Store
        • Store
        • Branding
        • Localization
        • Social
        • Operations
        • Business
        • Upload Logo Image
        • Delete Logo Image
        • Upload Icon Image
        • Delete Icon Image
        • Upload Cover Image
        • Delete Cover Image
    • Orders
      • Validate Order Request
      • Create Order
      • Change Order Status
      • Add Order Comment
      • View Order
      • List Orders
      • List Custom Order Statuses
      • List Order Credit Notes
    • Reverse Orders
      • Create Reverse Orders
      • Create Reverse Orders Waybill
      • Add Reverse Order Reasons
      • List Reverse Reasons
      • Calculate Reverse Totals
      • Create refund for reverse order
      • Upload bank transfer receipt
      • Update return products
      • Order Details – View for Return
    • Abandoned Carts
      • List Carts
      • View Cart
    • Products
      • Managing Products
        • Create Product Types
        • Create Product
        • List Products
        • View Product
        • List Product Settings
        • Update Product
        • Bulk Update Products
        • Delete Product
      • Digital Vouchers
        • List Vouchers
        • Order Vouchers
        • Create Voucher
        • Import Vouchers
        • Export Vouchers
        • Update Voucher
        • Remove Voucher
      • Product Categories
        • List Categories
        • View Category
        • Create Category
        • Create Subcategory
        • Update Category
        • Assign Product to Category
        • Bulk Assign Products to Category
        • Publish Category
        • Detach Category from All Products
        • Remove Product from Category
      • Product Badge
        • List Badges
      • Product Attributes
        • List Attributes
        • View Attribute
        • Create Attribute
        • Update Attribute
        • Delete Attribute
      • Product Attribute Presets
        • List Presets
        • Create Preset
        • Update Preset
        • Delete Preset
      • Product Variants
        • Create Variants
        • Create Custom Option
        • Update Custom Option
        • Delete Custom Option Field
        • Create Custom Input Field
        • Update Custom Input Field
        • Delete Custom Input Field
      • Product Sorting
        • Set Manual Product Order
        • Reset Manual Product Order
      • Product Images
        • List Images
        • Upload Image
        • Update Image Order
        • Delete Image
      • Product Availability Notifications
        • Notification Stats
        • Noticiation Settings
        • List Notifications
        • Create Notification
        • Update Settings
        • Send Notification Email
        • Export Notifications
      • Product Export
        • Email All Products to Store Owner
        • Import Products via CSV or xlsx File
      • Product Stock
        • Retrieve Product Stock
        • List Product Stock Records
        • Create Product Stock
        • Update Product Stock
        • Bulk Update Product Stock Records
      • Product Questions & Answers
        • Retrieve Product Question
        • Retrieve Product Answer
        • List Product Questions
        • List Answers for Question
        • Create Product Question
        • Create Product Answer
        • Update Product Question
        • Update Product Answer
        • Delete Product Question
        • Delete Product Answer
      • Product Reviews
        • List Reviews
        • Count Reviews
      • Digital Products
        • Create Downloadable Product
        • Generate Upload URL
        • Upload File to S3
        • Create Product Downloadable
        • Get Product Downloadables
        • Delete Product Downloadable
        • List Store Downloadables
        • Create Store Downloadable
        • Delete Store Downloadable
    • Inventories
      • Create Location
      • Update Location
      • Update Product Stock for Location
      • List Locations
      • View Location
    • Shipping
      • List Store Shipping Methods
    • Marketing
      • Coupons
        • List Coupons
        • View Coupon
        • Create Coupon
        • Generate Bulk Coupons
        • Duplicate Coupon
        • Duplicate Bulk Coupons
        • Update Coupon Note
        • Update Coupon
        • Update Bulk Coupons
        • Update Coupon Status
        • Update Bulk Coupons Status
        • Delete Coupon
        • Delete Bulk Coupons
      • Bundle Offers
        • List Bundle Offers
      • Loyalty Program
        • Loyalty Program Status
        • Loyalty Program Details
        • Loyalty Program Info
        • Customer Loyalty Summary
        • Customer Points History
        • Activate Loyalty Program
        • Set Points Expiration Rules
        • Update Cashback Rule
        • Create Points Redemption Method
        • Update Points Redemption Method
        • Delete Points Redemption Method
        • Adjust Customer Points
      • Discount Rules
        • List Discount Rules
          GET
        • View Discount Rule
          GET
        • Create Discount Rule
          POST
        • Update Discount Rule
          PUT
    • Customers
      • Customer Tags
        • List Customer Tags
        • Add Customer Tag
        • ْUpdate Customer Tag
        • Delete Customer Tag
      • List Customers
      • View Customer
      • Primary Customer List
      • FInd Customer By Phone Number
      • Customer Profile
      • Add Customer
      • Update Customer
      • Delete Customer
      • Add Bulk Customers
      • Import Customers
    • Store Settings
      • 📄 User Roles and Permissions
      • Retrieve Store Manager Profile
      • Retrieve VAT Settings
      • List Payment Methods
      • List Store Operating Countries
    • Countries and Cities
      • List Countries
      • List Cities for Country
  • Webhooks
    • Overview
    • Webhook Health Tracking
    • Events
      • Order
      • Product
      • Abandoned Cart
      • Customer
      • Product Category
    • APIs
      • Health Summary
      • Broken Webhooks
      • Recover Broken Webhooks
      • List Webhooks
      • Create Webhook
      • Delete Webhook
      • Delete Webhook By subscriber
  • App Management
    • Events
    • APIs
      • Subscription Details
      • Update Usage-Based Charges
  1. Discount Rules

List Discount Rules

Developing
GET
https://api.zid.sa/v1/managers/store/discounts
Retrieves a list of all available discount rules from the system.
🔑Scopes
third_coupons_read - Coupons Read

Request

Query Params

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟠401Unauthorized
🔴500Internal Server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zid.sa/v1/managers/store/discounts?page=1&per_page=100&code=' \
--header 'Authorization: {{Autherization}}' \
--header 'X-Manager-Token: {{Access-Token}}' \
--header 'Accept-Language: en' \
--header 'Accept: application/json'
Response Response Example
200 - Success
{
    "status": "object",
    "discount_rules": [
        {
            "id": "0104e646-238d-473b-a370-f48ec5588262",
            "name": {
                "ar": "الخصم لعملاء تطبيق الجوال",
                "en": "الخصم لعملاء تطبيق الجوال"
            },
            "description": null,
            "code": "mobile_app",
            "conditions": [
                {
                    "field": "source",
                    "value": "mobile_app",
                    "operator": "="
                },
                {
                    "field": "shipping_city",
                    "value": [
                        {
                            "id": 376,
                            "national_id": null,
                            "name": "Adhan",
                            "priority": 0,
                            "country_id": 221,
                            "country_name": "UAE",
                            "country_code": "AE",
                            "ar_name": "أذن",
                            "en_name": "Adhan",
                            "parent_id": null
                        },
                        {
                            "id": 835,
                            "national_id": null,
                            "name": "Um Al Nar",
                            "priority": 0,
                            "country_id": 221,
                            "country_name": "UAE",
                            "country_code": "AE",
                            "ar_name": "أم النار",
                            "en_name": "Um Al Nar",
                            "parent_id": null
                        }
                    ],
                    "operator": "in"
                }
            ],
            "actions": [
                {
                    "type": "percentage",
                    "field": "subtotal",
                    "value": "30"
                }
            ],
            "conditions_criteria": "all",
            "uses_total": 0,
            "uses_customer": 0,
            "enabled": true,
            "auto_adding": null,
            "status_code": "expired",
            "start_date": "2020-02-26",
            "end_date": "2022-12-31",
            "meta": null,
            "channel": null,
            "channel_name": null
        },
        {
            "id": "02ed8742-354d-4b44-8f3f-39766081c12e",
            "name": {
                "en": null,
                "ar": "BuyOne_GetSameFree"
            },
            "description": {
                "ar": null,
                "en": null
            },
            "code": "bundle_offer",
            "conditions": [
                {
                    "field": "products_quantity",
                    "value": 1,
                    "operator": ">=",
                    "product_ids": [
                        "e76df08490ff4f9da738557bad069c64"
                    ]
                }
            ],
            "actions": [
                {
                    "type": "percentage",
                    "field": "products",
                    "value": 100,
                    "product_ids": [
                        "e76df08490ff4f9da738557bad069c64"
                    ],
                    "products_quantity": 1
                }
            ],
            "conditions_criteria": "all",
            "uses_total": null,
            "uses_customer": null,
            "enabled": false,
            "auto_adding": true,
            "status_code": "disabled",
            "start_date": "2023-11-07",
            "end_date": null,
            "meta": {
                "auto_add_products": true
            },
            "channel": "catalog",
            "channel_name": {
                "ar": "المتجر الإلكتروني",
                "en": "Store"
            }
        },
        {
            "id": "0500ec17-54b6-47b5-910c-b73e319f7381",
            "name": {
                "en": null,
                "ar": "احصل عليه مجانًا"
            },
            "description": {
                "en": null,
                "ar": "في حال اشتر عطر اخضر واحصل على الازرق"
            },
            "code": "bundle_offer",
            "conditions": [
                {
                    "field": "products_quantity",
                    "value": 1,
                    "operator": ">=",
                    "product_ids": [
                        "6f1cae36a39b4378ab175f60626e9d4c"
                    ]
                }
            ],
            "actions": [
                {
                    "type": "percentage",
                    "field": "products",
                    "value": 100,
                    "product_ids": [
                        "fe90852cf53442edbdcac868039f0366"
                    ],
                    "products_quantity": 1
                }
            ],
            "conditions_criteria": "all",
            "uses_total": 4,
            "uses_customer": 1,
            "enabled": false,
            "auto_adding": true,
Modified at 2026-06-24 15:28:10
Previous
Adjust Customer Points
Next
View Discount Rule
Built with